package com.flexdms.jsfutils;

import javax.faces.component.UIComponent;
import javax.faces.view.facelets.FaceletContext;

/**
 * An interface provides component customization hook.
 * This interface is used by ExtendedComponentHandler.
 * @author jason
 *
 */
public interface ExtendedComponent
{

	public void onComponentCreated(FaceletContext ctx, 
			UIComponent parent);

	public void onComponentPopulated(FaceletContext ctx,
			UIComponent parent);
	
}
