package com.flexdms.jsfutils;

import java.io.IOException;

import javax.faces.component.FacesComponent;
import javax.faces.component.UIOutput;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;

/**
 * Output script tag directly.
 * @author jason
 *
 */
@FacesComponent(namespace="http://com.flexdms.flexims/webui", tagName="scriptText",
createTag=true, value=ScriptText.COMPONENT_TYPE)
public class ScriptText extends UIOutput
{

	public static final String COMPONENT_TYPE="com.flexdms.flexims.webui.ScriptText"; 
	
	@Override
	public void encodeBegin(FacesContext context) throws IOException
	{
		ResponseWriter w=context.getResponseWriter();
		w.startElement("script", this);
		w.writeAttribute("type", "text/javascript", null);
		
		
	}

	@Override
	public void encodeEnd(FacesContext context) throws IOException
	{
		ResponseWriter w=context.getResponseWriter();
		
		w.writeText(this.getValue(), "value");
		w.endElement("script");
	}

}
